> For the complete documentation index, see [llms.txt](https://docs.watchdata.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.watchdata.io/blockchain-apis/tron-api/voting-and-srs/createwitness.md).

# CreateWitness

**Body params**:&#x20;

* `owner_address` - Owner address, default hexString
* `url` - Website url, default hexString
* `permission_id` - Optional, for multi-signature use
* `visible` - Optional, Whether the address is in base58 format.

**Request**

```
curl --request POST \
     --url https://tron.api.watchdata.io/wallet/createwitness \
     --header 'Accept: application/json' \
     --header 'Content-Type: application/json' \
     --data '
{
     "owner_address": "41d1e7a6bc354106cb410e65ff8b181c600ff14292",
     "url": "007570646174654e616d6531353330363038383733343633",
     "permission_id": 0,
     "visible": true
}
'
```

**Response**

```
{
  "Error": "class java.lang.IllegalArgumentException : Illegal character 0 at 14"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.watchdata.io/blockchain-apis/tron-api/voting-and-srs/createwitness.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
